Name: libgnomemm2
Version: 1.3.9
Release: alt1

Summary: A C++ interface for Gnome libs (a GUI library for X)
Summary(ru_RU.KOI8-R):  C++   Gnome (     X)

License: LGPL
Group: System/Libraries
URL: http://gtkmm.sourceforge.net/

%define realname libgnomemm
%define realname2 libgnomemm-2.0
%define srcname %realname-%version

Source: ftp://download.sourceforge.net/gtkmm/%srcname.tar.bz2


# Automatically added by buildreq on Thu Nov 28 2002
BuildRequires: ORBit2-devel bonobo-activation-devel esound-devel gcc-c++ glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libatk-devel libaudiofile-devel libbonobo2-devel libgnome-devel libgtk+2-devel libgtkmm2-devel liblinc-devel libpango-devel libpopt-devel libsigc++1.2-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

BuildRequires: libgtkmm2-devel >= 2.0.0

%description
This package provides a C++ interface for GnomeUI. It is a subpackage
of the Gtk-- project. The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented
framework.

%description -l ru_RU.KOI8-R
    C++  GnomeUI.   
  Gtk--.    
   C++   Gnome GUIs  GTK+'s flexible object-oriented
framework.


%package devel
Summary: Headers for developing programs that will use Gnome--
Group: Development/GNOME and GTK+
Requires: %name = %version-%release, libgtkmm2-devel
Provides: %realname-devel = %version
#Obsoletes: %realname-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to
the GTK+ (the Gimp ToolKit) GUI library.

%package examples
Summary: Examples for developing programs that will use Gnome--
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release
Provides: %realname-examples = %version

%description examples
This package contains source code of example programs for %name.

%prep
%setup -q -n %srcname

%build
%configure \
	--disable-maintainer-mode \
	--disable-static \
	--enable-shared \
	--enable-docs

%make

%install
%makeinstall
#%make_install install DESTDIR=$RPM_BUILD_ROOT

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files devel
#%doc docs/gnome/*.html
%_libdir/*.so
%_libdir/*.*a
#%_libdir/*.sh
%_includedir/*
%_libdir/pkgconfig/*
#%_datadir/aclocal/*
%dir %_libdir/%realname2
%_libdir/%realname2/include

#%files examples
#%doc examples/*

%changelog
* Thu Nov 28 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.9-alt1
- new version for GTK+2
- examples and doc temporary disabled

* Tue Sep 24 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.3-alt1.1
- make buildable
- added patch from mdk (from ldv version of gnomemm)

* Sat Sep 14 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.3-alt1
- 1.2.3
- bump soname for the GCC 3.2 build
- examples do not belong in /usr/lib, static Makefile is wrong too
- include aclocal file in devel

* Wed Nov 07 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.2.2-alt1
- 1.2.2

* Tue Aug 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.1-alt1
- 1.2.1
- Libification.

* Tue Jul 24 2001 Sergie Pugachev <fd_rag@altlinux.ru> 1.1.17-alt1
- new version

* Thu Mar 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.16-alt1
- 1.1.16.

* Sun Dec 24 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.12-ipl1mdk
- RE adaptions.
- Split into three packages: %name, %name-devel and %name-examples.
- Fixed %name-examples to allow build after installation.

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12
- correct dependency
- patch from Gnome CVS to compile with gcc 2.96

* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.10-3mdk
- fix %%_tmppath
- bzip2 source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.10-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.10-1mdk
- First mdk release

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec

